# Generated from storage_visualizer-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name storage_visualizer

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Creates a webpage showing which directories occupy the most storage using a Google Sankey diagram
License: Creative Commons Attribution 3.0 License
URL: https://github.com/teecay/StorageVisualizer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This tool helps visualize which directories are occupying the most storage.
Any directory that occupies more than 5% of used disk space is added to a
visual hierarchichal storage report in the form of a Google Sankey diagram.
The storage data is gathered using the linux `du` utility. It has been tested
on Mac OSX and linux systems (Ubuntu & CentOS), will not work on Windows. Run
as sudo if analyzing otherwise inaccessible directories. May take a while to
run.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.0-1
- Initial package
